proxies: [px]
masters: [ma0, ma1, ma2]
service_workers: [sw]
xdc_workers: [xw]
storage_servers: [st0, st1, st2]
ops_servers: [ops]

address_space:
  node:        10.0.0.0/24
  pod:         10.1.0.0/16
  service:     10.2.0.0/16
  service_ext: 10.100.0.0/16
  external:
    api:    2.3.4.10
    xdc:    2.3.4.100
    launch: 2.3.4.200

ceph:
  default_pool_size: 3
  default_min_pool_size: 2
  default_pg_num: 256
  default_pgp_num: 256
  crush:
    host: true
  cephfs:
    name: mergefs
    data_pool: mergefs-data
    meta_pool: mergefs-meta
  disks:
    st0:
      - vdb
      - vdc
      - vdd
    st1:
      - vdb
      - vdc
      - vdd
    st2:
      - vdb
      - vdc
      - vdd

cluster_ifx:
  px: eth1
  sw: eth1
  xw: eth1

merge:
  certs:
    # TODO: sort out how to support cert generation (VTE) and existing certs
    api: generate
    launch: generate
    xdc: generate
  services:
    api:
      domain: api.mergetb.net
      addresses: 2.3.4.10
      anchor: 127.0.1.2
    launch:
      domain: launch.mergetb.net
      addresses: 2.3.4.200
      anchor: 127.0.1.4
    xdc:
      domain: "'*.mergetb.io'"
      addresses: 2.3.4.100
      anchor: 127.0.1.3
    wg:
      domain: wg.mergetb.net
      addresses: 2.3.4.222
      anchor: 127.0.1.5

  addresses:
    cluster_dns: 10.2.0.2

  replicas: 1

  registry:
    reg: quay.io
    org: mergetb
    tag: latest

  # registry for TBUI and wgdcoord and other non-engine portal components.
  auxregistry:
    reg: quay.io
    org: mergetb
    tag: latest

